# Visualization
TKV3d
SelectMgr

# SelectMgr_DataMapIteratorOfDataMapOfSelectionActivation Class Reference

`#include <SelectMgr_DataMapIteratorOfDataMapOfSelectionActivation.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | SelectMgr_DataMapIteratorOfDataMapOfSelectionActivation ()
Standard_EXPORT | SelectMgr_DataMapIteratorOfDataMapOfSelectionActivation (const SelectMgr_DataMapOfSelectionActivation &aMap)
Standard_EXPORT void | Initialize (const SelectMgr_DataMapOfSelectionActivation &aMap)
Standard_EXPORT const Handle_SelectMgr_Selection & | Key () const
Standard_EXPORT const Standard_Integer & | Value () const

## Constructor & Destructor Documentation

Standard_EXPORT SelectMgr_DataMapIteratorOfDataMapOfSelectionActivation::SelectMgr_DataMapIteratorOfDataMapOfSelectionActivation | ( |  | ) |

Standard_EXPORT SelectMgr_DataMapIteratorOfDataMapOfSelectionActivation::SelectMgr_DataMapIteratorOfDataMapOfSelectionActivation | ( | const SelectMgr_DataMapOfSelectionActivation & | aMap | ) |

## Member Function Documentation

Standard_EXPORT void SelectMgr_DataMapIteratorOfDataMapOfSelectionActivation::Initialize | ( | const SelectMgr_DataMapOfSelectionActivation & | aMap | ) |

Standard_EXPORT const Handle_SelectMgr_Selection& SelectMgr_DataMapIteratorOfDataMapOfSelectionActivation::Key | ( |  | ) | const

void SelectMgr_DataMapIteratorOfDataMapOfSelectionActivation::operator delete | ( | void * | anAddress | ) | `[inline]`

void* SelectMgr_DataMapIteratorOfDataMapOfSelectionActivation::operator new | ( | size_t | size | ) | `[inline]`

void* SelectMgr_DataMapIteratorOfDataMapOfSelectionActivation::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

Standard_EXPORT const Standard_Integer& SelectMgr_DataMapIteratorOfDataMapOfSelectionActivation::Value | ( |  | ) | const

The documentation for this class was generated from the following file:

- SelectMgr_DataMapIteratorOfDataMapOfSelectionActivation.hxx